> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coderabbit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List vulnerable dependencies



## OpenAPI

````yaml /openapi.json get /v1/security/dependencies
openapi: 3.0.3
info:
  title: CodeRabbit API spec
  version: 1.0.0
servers:
  - url: https://api.coderabbit.ai
security:
  - ApiKeyAuth: []
paths:
  /v1/security/dependencies:
    get:
      tags:
        - Security
      summary: List vulnerable dependencies
      operationId: list_security_dependencies
      parameters:
        - name: org_id
          in: query
          schema:
            type: string
            minLength: 1
          allowEmptyValue: true
          allowReserved: true
        - name: repository_ids
          in: query
          schema:
            type: array
            minItems: 1
            maxItems: 1000
            items:
              type: string
              minLength: 1
              maxLength: 255
          style: form
          explode: true
          allowEmptyValue: true
          allowReserved: true
        - name: scan_id
          in: query
          schema:
            type: string
            format: uuid
          allowEmptyValue: true
          allowReserved: true
        - name: page
          in: query
          schema:
            type: integer
            minimum: 0
            maximum: 9007199254740991
            exclusiveMinimum: true
          allowEmptyValue: true
          allowReserved: true
        - name: page_size
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
          allowEmptyValue: true
          allowReserved: true
        - name: search
          in: query
          schema:
            type: string
            minLength: 1
            maxLength: 200
          allowEmptyValue: true
          allowReserved: true
        - name: state
          in: query
          schema:
            enum:
              - open
              - fixed
              - dismissed
              - all
            type: string
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        repoId:
                          type: string
                        repoName:
                          type: string
                        packageName:
                          type: string
                        packageVersion:
                          type: string
                        ecosystem:
                          type: string
                        lockfilePath:
                          type: string
                        maxSeverity:
                          type: string
                        advisorySeverity:
                          type: string
                        reachabilityStatus:
                          type: string
                        affected:
                          type: boolean
                        advisoryCount:
                          type: number
                        state:
                          type: string
                        detectedAt:
                          anyOf:
                            - type: string
                            - type: string
                              nullable: true
                              enum:
                                - null
                        fixGroupId:
                          type: string
                        fixGroupStatus:
                          anyOf:
                            - type: string
                            - type: string
                              nullable: true
                              enum:
                                - null
                        fixGroupTaskId:
                          type: string
                        fixGroupPrUrl:
                          anyOf:
                            - type: string
                            - type: string
                              nullable: true
                              enum:
                                - null
                        advisories:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              vulnerabilityId:
                                type: string
                              severity:
                                type: string
                              cwe:
                                anyOf:
                                  - type: string
                                  - type: string
                                    nullable: true
                                    enum:
                                      - null
                              cveIds:
                                type: array
                                items:
                                  type: string
                              summary:
                                type: string
                              advisoryUrl:
                                anyOf:
                                  - type: string
                                  - type: string
                                    nullable: true
                                    enum:
                                      - null
                              fixedVersion:
                                anyOf:
                                  - type: string
                                  - type: string
                                    nullable: true
                                    enum:
                                      - null
                              reachability:
                                type: object
                                properties:
                                  version:
                                    enum:
                                      - 1
                                  status:
                                    enum:
                                      - reached
                                      - not_reached
                                      - unknown
                                    type: string
                                  targets:
                                    type: array
                                    maxItems: 100
                                    items:
                                      type: object
                                      properties:
                                        kind:
                                          enum:
                                            - callable
                                            - type
                                            - initializer
                                            - field
                                            - macro
                                            - entrypoint
                                            - build_hook
                                            - native_symbol
                                            - resource
                                            - behavior
                                          type: string
                                        name:
                                          type: string
                                          minLength: 1
                                          maxLength: 500
                                        phase:
                                          enum:
                                            - install
                                            - build
                                            - startup
                                            - runtime
                                          type: string
                                        status:
                                          enum:
                                            - reached
                                            - not_reached
                                            - unknown
                                          type: string
                                        source:
                                          enum:
                                            - osv
                                            - llm
                                          type: string
                                        paths:
                                          type: array
                                          maxItems: 20
                                          items:
                                            type: object
                                            properties:
                                              explanation:
                                                type: string
                                                maxLength: 500
                                              steps:
                                                type: array
                                                maxItems: 20
                                                items:
                                                  anyOf:
                                                    - {}
                                                    - type: string
                                                      nullable: true
                                                      enum:
                                                        - null
                                            required:
                                              - explanation
                                              - steps
                                      required:
                                        - kind
                                        - name
                                        - phase
                                        - status
                                        - source
                                        - paths
                                  limitations:
                                    type: array
                                    maxItems: 20
                                    items:
                                      type: string
                                      maxLength: 500
                                required:
                                  - version
                                  - status
                                  - targets
                                  - limitations
                              state:
                                type: string
                            required:
                              - id
                              - vulnerabilityId
                              - severity
                              - cwe
                              - cveIds
                              - summary
                              - advisoryUrl
                              - fixedVersion
                              - reachability
                              - state
                      required:
                        - id
                        - repoId
                        - repoName
                        - packageName
                        - packageVersion
                        - ecosystem
                        - lockfilePath
                        - maxSeverity
                        - advisorySeverity
                        - reachabilityStatus
                        - affected
                        - advisoryCount
                        - state
                        - detectedAt
                        - fixGroupId
                        - fixGroupStatus
                        - fixGroupPrUrl
                        - advisories
                  pagination:
                    type: object
                    properties:
                      page:
                        type: number
                      pageSize:
                        type: number
                      total:
                        type: number
                      totalPages:
                        type: number
                    required:
                      - page
                      - pageSize
                      - total
                      - totalPages
                required:
                  - items
                  - pagination
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - invalid_request
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '401':
          description: '401'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - unauthenticated
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - forbidden
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '404':
          description: '404'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - not_found
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '409':
          description: '409'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - head_changed
                          - conflict
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '412':
          description: '412'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - precondition_failed
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '413':
          description: '413'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - payload_too_large
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '429':
          description: '429'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - rate_limit_exceeded
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - internal_error
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '503':
          description: '503'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - unavailable
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-coderabbitai-api-key
      description: >-
        API key for authentication. You can create an API key from the
        CodeRabbit dashboard.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.